> For the complete documentation index, see [llms.txt](https://developer.kizen.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.kizen.com/api/bulk-action-progress.md).

# Bulk Action Progress

## GET /api/bulk-action-progress

> Retrieve a list of all bulk actions and their current progress statuses.

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"security":[{"businessId":[],"userId":[],"apiKey":[]}],"components":{"securitySchemes":{"businessId":{"type":"apiKey","in":"header","name":"X-BUSINESS-ID"}},"schemas":{"PaginatedReadBulkActionProgressList":{"type":"object","required":["count","results"],"properties":{"count":{"type":"integer"},"next":{"type":"string","nullable":true,"format":"uri"},"previous":{"type":"string","nullable":true,"format":"uri"},"results":{"type":"array","items":{"$ref":"#/components/schemas/ReadBulkActionProgress"}},"errors":{"oneOf":[{"type":"null"},{"type":"array","items":{"type":"string"}}]}}},"ReadBulkActionProgress":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"action":{"type":"string"},"status":{"type":"string"},"started_at":{"type":"string","format":"date-time"},"completed_at":{"type":"string","format":"date-time"},"meta":{"type":"object","additionalProperties":{}},"custom_object":{"$ref":"#/components/schemas/CustomObjectOverview"},"pending_count":{"type":"integer"},"success_count":{"type":"integer"},"failed_count":{"type":"integer"},"report":{"type":"object","additionalProperties":{},"nullable":true},"failure_report":{"allOf":[{"$ref":"#/components/schemas/S3ObjectRead"}],"readOnly":true},"imported_file":{"allOf":[{"$ref":"#/components/schemas/S3ObjectRead"}],"readOnly":true},"export_file":{"allOf":[{"$ref":"#/components/schemas/S3ObjectRead"}],"readOnly":true},"send_email_notification":{"type":"boolean"}},"required":["action","completed_at","custom_object","export_file","failed_count","failure_report","id","imported_file","meta","pending_count","report","send_email_notification","started_at","status","success_count"]},"CustomObjectOverview":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"object_name":{"type":"string"},"entity_name":{"type":"string"}},"required":["entity_name","id","object_name"]},"S3ObjectRead":{"type":"object","properties":{"id":{"type":"string"},"created":{"type":"string","format":"date-time"},"key":{"type":"string"},"name":{"type":"string"},"url":{"type":"string"},"thumbnail_url":{"type":"string"},"size_bytes":{"type":"string"},"content_type":{"type":"string"},"size_formatted":{"type":"string"},"is_public":{"type":"boolean"}},"required":["content_type","created","id","is_public","key","name","size_bytes","size_formatted","thumbnail_url","url"]}}},"paths":{"/api/bulk-action-progress":{"get":{"operationId":"bulk_action_progress_list","description":"Retrieve a list of all bulk actions and their current progress statuses.","parameters":[{"in":"query","name":"action","schema":{"type":"string"}},{"in":"query","name":"completed","schema":{"type":"boolean"}},{"in":"query","name":"custom_object_id","schema":{"type":"string","format":"uuid"}},{"name":"page","required":false,"in":"query","description":"A page number within the paginated result set.","schema":{"type":"integer"}},{"name":"page_size","required":false,"in":"query","description":"Number of results to return per page.","schema":{"type":"integer"}},{"in":"query","name":"started_after","schema":{"type":"string","format":"date-time"}}],"tags":["bulk-action-progress"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedReadBulkActionProgressList"}}},"description":""}}}}}}
```

## GET /api/bulk-action-progress/{id}

> Fetch the progress details of a specific bulk action using its unique ID.

```json
{"openapi":"3.0.3","info":{"title":"Kizen API","version":"1.0.0"},"security":[{"businessId":[],"userId":[],"apiKey":[]}],"components":{"securitySchemes":{"businessId":{"type":"apiKey","in":"header","name":"X-BUSINESS-ID"}},"schemas":{"ReadBulkActionProgress":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"action":{"type":"string"},"status":{"type":"string"},"started_at":{"type":"string","format":"date-time"},"completed_at":{"type":"string","format":"date-time"},"meta":{"type":"object","additionalProperties":{}},"custom_object":{"$ref":"#/components/schemas/CustomObjectOverview"},"pending_count":{"type":"integer"},"success_count":{"type":"integer"},"failed_count":{"type":"integer"},"report":{"type":"object","additionalProperties":{},"nullable":true},"failure_report":{"allOf":[{"$ref":"#/components/schemas/S3ObjectRead"}],"readOnly":true},"imported_file":{"allOf":[{"$ref":"#/components/schemas/S3ObjectRead"}],"readOnly":true},"export_file":{"allOf":[{"$ref":"#/components/schemas/S3ObjectRead"}],"readOnly":true},"send_email_notification":{"type":"boolean"}},"required":["action","completed_at","custom_object","export_file","failed_count","failure_report","id","imported_file","meta","pending_count","report","send_email_notification","started_at","status","success_count"]},"CustomObjectOverview":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"object_name":{"type":"string"},"entity_name":{"type":"string"}},"required":["entity_name","id","object_name"]},"S3ObjectRead":{"type":"object","properties":{"id":{"type":"string"},"created":{"type":"string","format":"date-time"},"key":{"type":"string"},"name":{"type":"string"},"url":{"type":"string"},"thumbnail_url":{"type":"string"},"size_bytes":{"type":"string"},"content_type":{"type":"string"},"size_formatted":{"type":"string"},"is_public":{"type":"boolean"}},"required":["content_type","created","id","is_public","key","name","size_bytes","size_formatted","thumbnail_url","url"]}}},"paths":{"/api/bulk-action-progress/{id}":{"get":{"operationId":"bulk_action_progress_retrieve","description":"Fetch the progress details of a specific bulk action using its unique ID.","parameters":[{"in":"path","name":"id","schema":{"type":"string","pattern":"^[0-9a-fA-F]{8}\\-[0-9a-fA-F]{4}\\-[0-9a-fA-F]{4}\\-[0-9a-fA-F]{4}\\-[0-9a-fA-F]{12}$"},"required":true}],"tags":["bulk-action-progress"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBulkActionProgress"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.kizen.com/api/bulk-action-progress.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
